Subject: Re: [MPTCP][PATCH net 1/2] mptcp: fix static checker warnings in mptcp_pm_add_timer

From: Dan Carpenter <[email-masked]>
Date: Mon, 9 Nov 2020 21:34:19 +0300

On Mon, Nov 09, 2020 at 05:28:54PM +0100, Matthieu Baerts wrote:
> Hi Geliang, Dan,
> 
> On 09/11/2020 14:59, Geliang Tang wrote:
> > Fix the following Smatch complaint:
> 
> Thanks for the report and the patch!
> 
> >       net/mptcp/pm_netlink.c:213 mptcp_pm_add_timer()
> >       warn: variable dereferenced before check 'msk' (see line 208)
> > 
> >   net/mptcp/pm_netlink.c
> >      207          struct mptcp_sock *msk = entry->sock;
> >      208          struct sock *sk = (struct sock *)msk;
> >      209          struct net *net = sock_net(sk);
> >                                             ^^
> >   "msk" dereferenced here.
> > 
> >      210
> >      211          pr_debug("msk=%p", msk);
> >      212
> >      213          if (!msk)
> >                      ^^^^
> >   Too late.
> > 
> >      214                  return;
> >      215
> > 
> > Fixes: 93f323b9cccc ("mptcp: add a new sysctl add_addr_timeout")
> > Reported-by: Dan Carpenter <[email-masked]>
> > Signed-off-by: Geliang Tang <[email-masked]>
> > Reviewed-by: Dan Carpenter <[email-masked]>
> 
> A small detail (I think): the Signed-off-by of the sender (Geliang) should
> be the last one in the list if I am not mistaken.
> But I guess this is not blocking.

Generally, I like them to be in chronological order.  For other tags like
here it doesn't matter, but for signed-off-bys they only make sense in
chronological order.

regards,
dan carpenter